import { FC } from 'react';
import { ImageBackground, View, Text, ScrollView } from 'react-native';
import type { NavigationProp } from '@react-navigation/native';

import { Header, PageWrapper } from '../../components/';
import { styles } from './styles';

type Props = {
  navigation: NavigationProp<any>;
};

const JoinInfoScreen: FC<Props> = ({ navigation }) => {
  return (
    <PageWrapper>
      <Header label={'Join our community'} />
      <ImageBackground
        style={{ height: '100%' }}
        source={require('../../../assets/images/nm-background.png')}
      >
        <ScrollView
          style={styles.wrapper}
          showsVerticalScrollIndicator={false}
          contentContainerStyle={{ gap: 16 }}
        >
          <Text style={styles.text}>
            Check out our ranking and statistics, see where others are traveling meet with fellow
            travelers on your trips or plan a joint expedition
          </Text>
        </ScrollView>
      </ImageBackground>
    </PageWrapper>
  );
};

export default JoinInfoScreen;
